' *
' * The project site is at: http://sourceforge.jp/projects/fishbornas/
' *
' * First author tiritomato 2012.
' *
' * Distributed under the FishbornArchiveShelf License (See
' *  file "Licenses/License.txt" contained in a project, or the following link.
' *  http://sourceforge.jp/projects/fishbornas/scm/svn/blobs/head/trunk/Licenses/License.txt)
' *
' * 2012.06.07 Initial Revision (tiritomato)
' *

Partial Public Class AppBase

    <Serializable()> _
    Public Class EntryTaskPreset
        Implements Logic.INamed

        Public Sub New()
            MyClass.New(Nothing)
        End Sub

        Public Sub New(ByRef NewName As String, Optional ByVal DefaultCompressSetting As ArchiveOptionConfigCollection = Nothing)
            Name = NewName
        End Sub

        <Serializable()> _
        Public Class Collection
            Inherits Logic.SerializableCollections.UniqueNamedList(Of EntryTaskPreset)
        End Class

        Public Property Name As String Implements Logic.INamed.Name
        Public PositiveExtentionList As Logic.FileSystem.Extention.Collection
        Public NegativeExtentionList As Logic.FileSystem.Extention.Collection
        Public IsMultiSelect As Boolean
        Public IsPipeToStdIn As Boolean
        Public EntryTaskCommand As String

    End Class

End Class